# emdapiglobalatlasservice
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0
- Package version: 0.2.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import emdapiglobalatlasservice
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import emdapiglobalatlasservice
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function

import time
import emdapiglobalatlasservice
from emdapiglobalatlasservice.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://api.emd.dk
# See configuration.py for a list of all supported configuration parameters.
configuration = emdapiglobalatlasservice.Configuration(
    host = "http://api.emd.dk"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure API key authorization: api_key
configuration = emdapiglobalatlasservice.Configuration(
    host = "http://api.emd.dk",
    api_key = {
        'X-Auth': 'YOUR_API_KEY'
    }
)
# Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
# configuration.api_key_prefix['X-Auth'] = 'Bearer'


# Enter a context with an instance of the API client
with emdapiglobalatlasservice.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = emdapiglobalatlasservice.GlobalAtlasServicesApi(api_client)
    service_id = 'service_id_example' # str | Service_id for the dataset
lat = 3.4 # float | Latitude for point (in decimal degrees)
lon = 3.4 # float | Longitude for point (in decimal degrees)

    try:
        # Return true or false if coverage at given location
        api_response = api_instance.atlasdata_controller_get_atlascoveragepoint(service_id, lat, lon)
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling GlobalAtlasServicesApi->atlasdata_controller_get_atlascoveragepoint: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *http://api.emd.dk*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*GlobalAtlasServicesApi* | [**atlasdata_controller_get_atlascoveragepoint**](docs/GlobalAtlasServicesApi.md#atlasdata_controller_get_atlascoveragepoint) | **GET** /coverage_point/{service_id} | Return true or false if coverage at given location
*GlobalAtlasServicesApi* | [**atlasdata_controller_get_atlasdownload**](docs/GlobalAtlasServicesApi.md#atlasdata_controller_get_atlasdownload) | **GET** /download_point/{service_id} | Download atlas data for a single point (node)
*GlobalAtlasServicesApi* | [**atlasdata_controller_get_atlasservices**](docs/GlobalAtlasServicesApi.md#atlasdata_controller_get_atlasservices) | **GET** /datasets | Return list of available atlas dataset services


## Documentation For Models

 - [AtlasService](docs/AtlasService.md)


## Documentation For Authorization


## api_key

- **Type**: API key
- **API key parameter name**: X-Auth
- **Location**: HTTP header


## Author




